[PACKAGE]: ../../raw/master/mkp/stp_topo_change-0.0.2-20230603.mkp "stp_topo_change-0.0.2-20230603.mkp"
# STP topology change

Monitors status of STP topology change

---
### Acnowlegement

This is a rewrite for CMK 2.x based on the check [Cisco Spanning-Tree Topology Change](https://exchange.checkmk.com/p/cisco-stptopo) by Udo Woehler (check-mk[at]bsw-com[dot]de).

---
### Check Info

* *service*: creates the service **STP topology change**

* *state*: \
    **critical**/**warning**: 
    * if there are tree or more STP topology changes in the configured interval (see WATO)\

* *wato*: [(see WATO options)](doc/wato.png "see sample screenshot")

* *perfdata (if avilable)*: 
    * STP topology change (s)
    * STP topology changes (count)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO

![WATO options](img/wato.png?raw=true "WATO options")
